PETSc version 3.15.5
Fix/Edit manual page

# DMDAGetNonOverlappingRegion

Gets the indices of the nonoverlapping region of a subdomain DM.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetNonOverlappingRegion(DM da, PetscInt *xs, PetscInt *ys, PetscInt *zs, PetscInt *xm, PetscInt *ym, PetscInt *zm)

Not collective

### Input Parameter

| da | - The DMDA

### Output Parameters

| xs | - The start of the region in x
| ys | - The start of the region in y
| zs | - The start of the region in z
| xs | - The size of the region in x
| ys | - The size of the region in y
| zs | - The size of the region in z

### See Also

DMDAGetOffset(), DMDAVecGetArray()

### Level

intermediate

### Location

src/dm/impls/da/da.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages